Skip to content

Get Denial Dashboard

GET
/api/v1/admin/security/denials
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/admin/security/denials?window=7d' \
--header 'X-API-Key: <X-API-Key>'

Aggregate PERMISSION_DENIED audit rows for the calling tenant.

window
Window
string
default: 7d /^(24h|7d|30d)$/

Successful Response

Media typeapplication/json
DenialDashboardResponse

Full dashboard payload.

object
heatmap
Heatmap
Array<object>
HeatmapCell

One {user, permission} cell of the denial heatmap.

object
count
required
Count
integer
permission
required
Permission
string
user_id
required
User Id
string
timeseries_24h
Timeseries 24H
Array<object>
HourPoint

One bucket of the 24-hour timeseries.

object
count
required
Count
integer
hour
required
Hour
string
top_permissions
Top Permissions
Array<object>
CountEntry

A single row in a top-N counted aggregate.

object
count
required
Count
integer
key
required
Key
string
top_routes
Top Routes
Array<object>
CountEntry

A single row in a top-N counted aggregate.

object
count
required
Count
integer
key
required
Key
string
top_users
Top Users
Array<object>
CountEntry

A single row in a top-N counted aggregate.

object
count
required
Count
integer
key
required
Key
string
total_denials
Total Denials
integer
0
window
required
Window
string
Example
{
"total_denials": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}